@echo off
setlocal

REM ##################################################################
REM Usage:
REM      ImportAgentTEPD <version> <source dir> <agent> <installhome>
REM Result:
REM      0   Successful
REM      >0  Failed
REM #################################################################

set IMPORTVERSION=%1
set SOURCEDIR=%2
set AGENTNAME=%3
set CANDLE_HOME=%4

REM simple verification if the candlehome
if "%CANDLE_HOME%" == "" exit 2
if NOT EXIST %CANDLE_HOME% exit 2


REM log the execution
echo ImportAgentTEPD started with %1 %2 %3 %4 %5>>%CANDLE_HOME%\CNP\logs\ImportAgentTEPD.log


REM check version. We only support version 610 and higher
if "%IMPORTVERSION%" LSS "610" (
	echo ERROR: import of version %IMPORTVERSION% not supported>>%CANDLE_HOME%\CNP\logs\ImportAgentTEPD.log
	exit 1
)
echo importing of version is %IMPORTVERSION%>>%CANDLE_HOME%\CNP\logs\ImportAgentTEPD.log


REM check source
if NOT EXIST %SOURCEDIR%\TEPD\CNP (
	echo ERROR: source directory %SOURCEDIR%\TEPD\CNP not found >>%CANDLE_HOME%\CNP\logs\ImportAgentTEPD.log
	exit 2
)
echo source directory %SOURCEDIR%\TEPD\CNP found >>%CANDLE_HOME%\CNP\logs\ImportAgentTEPD.log

REM check targets
if NOT EXIST %CANDLE_HOME%\CNP (
	echo ERROR: target directory %CANDLE_HOME%\CNP not found >>%CANDLE_HOME%\CNP\logs\ImportAgentTEPD.log
	exit 2
)
echo target directory %CANDLE_HOME%\CNP found >>%CANDLE_HOME%\CNP\logs\ImportAgentTEPD.log

REM copy all files/directories from the source to CNP
xcopy /E /Y %SOURCEDIR%\TEPD\CNP %CANDLE_HOME%\CNP >NUL
IF NOT ERRORLEVEL 0 (
	echo ERROR: file xcopy %SOURCEDIR%\TEPD\CNP %CANDLE_HOME%\CNP failed >>%CANDLE_HOME%\CNP\logs\ImportAgentTEPD.log
	exit 2
)
echo file xcopy %SOURCEDIR%\TEPD\CNP %CANDLE_HOME%\CNP done >>%CANDLE_HOME%\CNP\logs\ImportAgentTEPD.log


REM backup the cnp.bat file content
echo =========== cnp.bat content backup begin ============= >>%CANDLE_HOME%\CNP\cnpbat.bak
type %CANDLE_HOME%\CNP\cnp.bat >>%CANDLE_HOME%\CNP\cnpbat.bak
echo =========== cnp.bat content backup end ============= >>%CANDLE_HOME%\CNP\cnpbat.bak


REM   check the  inf file
FOR /F "usebackq" %%i IN (`dir /b %SOURCEDIR%\TEPD\CNP\*.jar`) DO (
	echo found %SOURCEDIR%\TEPD\CNP\%%i >>%CANDLE_HOME%\CNP\logs\ImportAgentTEPD.log

	REM add jar files to the cnp.bat
	echo ^(set *CLASSPATH *=.*^)^$>%TEMP%\sedparm1.tmp
	IF NOT ERRORLEVEL 0 (
		echo ERROR: Can not create file %TEMP%\sedparm1.tmp >>%CANDLE_HOME%\CNP\logs\ImportAgentTEPD.log
		exit 2
	)
	echo ^$1;%%i>%TEMP%\sedparm2.tmp
	IF NOT ERRORLEVEL 0 (
		echo ERROR: Can not create file %TEMP%\sedparm2.tmp >>%CANDLE_HOME%\CNP\logs\ImportAgentTEPD.log
		exit 2
	)
	type %CANDLE_HOME%\CNP\cnp.bat |cscript //B %CANDLE_HOME%\CNP\sed.vbs %TEMP%\sedparm1.tmp %TEMP%\sedparm2.tmp >%CANDLE_HOME%\CNP\cnp.bat.new
	IF NOT ERRORLEVEL 0 (
		echo ERROR: Can not modify file %TEMP%\cnp.bat >>%CANDLE_HOME%\CNP\logs\ImportAgentTEPD.log
		exit 2
	)
	move /Y %CANDLE_HOME%\CNP\cnp.bat.new %CANDLE_HOME%\CNP\cnp.bat
	del %TEMP%\sedparm1.tmp
	del %TEMP%\sedparm2.tmp
	echo  %%i added to the CLASSPATH >>%CANDLE_HOME%\CNP\logs\ImportAgentTEPD.log
)
exit %ERRORLEVEL%
endlocal
