#!/bin/sh
#
######################################################################
# Usage:
#      ImportAgentTEPSAfterBefore <installhome> 
# Result:
#      0   Successful
#      >0  Failed
####################################################################
cd ${KFW_BIN_DIR}
export KFW_HOME=${KFW_BIN_DIR}/..

export CANDLEHOME=$1

# simple verification if the candlehome
if [ ! -d "${CANDLEHOME}" ] ; then 
	exit 2
fi

# log the execution
echo "ImportAgentTEPSAfter started with $1 ">>${CANDLEHOME}/logs/ImportAgentTEPSAfter.log


# check targets
if [ ! -d ${KFW_HOME} ]; then
	echo "ERROR: target directory ${KFW_HOME} not found" >>${CANDLEHOME}/logs/ImportAgentTEPSAfter.log
	exit 2
fi 
echo "target directory ${KFW_HOME} found" >>${CANDLEHOME}/logs/ImportAgentTEPSAfter.log

if [ ! -d ${KFW_HOME}/../cw ]; then
	echo "ERROR: target directory ${CANDLEHOME}/../cw not found" >>${CANDLEHOME}/logs/ImportAgentTEPSAfter.log
	exit  2
fi 
echo "target directory ${CANDLEHOME}/../cw found" >>${CANDLEHOME}/logs/ImportAgentTEPSAfter.log

# helpmerge
cd ${CANDLEHOME}/bin
echo  "helpmerg started" >>${CANDLEHOME}/logs/ImportAgentTEPSAfter.log
./CandleExecute cq helpmerg.sh 2>&1 >>${CANDLEHOME}/logs/ImportAgentTEPSAfter.log

# reseed
cd ${CANDLEHOME}/bin
echo  "reseeding started" >>${CANDLEHOME}/logs/ImportAgentTEPSAfter.log
./CandleExecute cq InstallPresentation.sh 2>&1 >>${CANDLEHOME}/logs/ImportAgentTEPSAfter.log
exit $?
