@echo off
setlocal
REM #####################################################################
REM Usage:
REM      ImportAgentTEPSBefore <CANDLE_HOME>
REM Result:
REM      0   Successful
REM      >0  Failed
REM ####################################################################

set CANDLE_HOME=%1

REM simple verification if the candlehome
if "%CANDLE_HOME%" == ""  exit 2
if NOT EXIST %CANDLE_HOME% exit 2

set PATH=%CANDLE_HOME%\CNPS;%PATH%

REM log the execution
echo ImportAgentTEPSBefore started with %* >>%CANDLE_HOME%\CNPS\logs\ImportAgentTEPSBefore.log

REM check targets
if NOT EXIST %CANDLE_HOME%\CNPS (
	echo ERROR: target directory %CANDLE_HOME%\CNPS not found >>%CANDLE_HOME%\CNPS\logs\ImportAgentTEPSBefore.log
	exit 2
)
echo target directory %CANDLE_HOME%\CNPS found >>%CANDLE_HOME%\CNPS\logs\ImportAgentTEPSBefore.log

if NOT EXIST %CANDLE_HOME%\CNB (
	echo ERROR: target directory %CANDLE_HOME%\CNB not found >>%CANDLE_HOME%\CNPS\logs\ImportAgentTEPSBefore.log
	exit 2
)
echo target directory %CANDLE_HOME%\CNB found >>%CANDLE_HOME%\CNPS\logs\ImportAgentTEPSBefore.log

REM ### do we need to enable DE ###
if "%2" == "" exit 0

echo Enabling DE >>%CANDLE_HOME%\CNPS\logs\ImportAgentTEPSBefore.log
if EXIST %CANDLE_HOME%\CNPS\SQLLIB\kfw_de_pres.sql (
	echo TEP DE already enabled >>%CANDLE_HOME%\CNPS\logs\ImportAgentTEPSBefore.log
	exit 0
)

if EXIST %CANDLE_HOME%\CNPS\SQLLIB\kfw_de_links.sql (
	echo TEP DE already enabled >>%CANDLE_HOME%\CNPS\logs\ImportAgentTEPSBefore.log
	exit 0
)

if NOT EXIST %CANDLE_HOME%\CNPS\SQLLIB\presfile.sql (
	echo TEP DE pres file presfile.sql missing >>%CANDLE_HOME%\CNPS\logs\ImportAgentTEPSBefore.log
	exit 2
)

if NOT EXIST %CANDLE_HOME%\CNPS\SQLLIB\linksfile.sql (
	echo TEP DE links file linksfile.sql missing >>%CANDLE_HOME%\CNPS\logs\ImportAgentTEPSBefore.log
	exit 2
)

%CANDLE_HOME%\InstallITM\kinconfg -rSL%2

IF NOT ERRORLEVEL 0 (
	echo ERROR: failed in registering new default DE linsense key >>%CANDLE_HOME%\CNPS\logs\ImportAgentTEPSBefore.log
	exit 3
)
echo License Key default set for DE >>%CANDLE_HOME%\CNPS\logs\ImportAgentTEPSBefore.log

REM create temp script file
echo Set oRegistry=GetObject("winmgmts:{impersonationLevel=impersonate}//./root/default:StdRegProv") >%CANDLE_HOME%\CNPS\tempscript.vbs
echo Return=oRegistry.SetStringValue(^&H80000002,"SOFTWARE\Candle\KFW\CNPS\KFWSRV\Environment","KFW_AUTHORIZATION_KEY", WScript.Arguments(0)) >>%CANDLE_HOME%\CNPS\tempscript.vbs
echo If (Return = 0) And (Err.Number = 0) Then >>%CANDLE_HOME%\CNPS\tempscript.vbs
echo WScript.Quit(0) >>%CANDLE_HOME%\CNPS\tempscript.vbs
echo else >>%CANDLE_HOME%\CNPS\tempscript.vbs
echo WScript.Quit(1) >>%CANDLE_HOME%\CNPS\tempscript.vbs
echo end if >>%CANDLE_HOME%\CNPS\tempscript.vbs

REM run the temp script file
cscript %CANDLE_HOME%\CNPS\tempscript.vbs %2

IF NOT ERRORLEVEL 0 (
	echo ERROR: failed in registering new DE linsense key >>%CANDLE_HOME%\CNPS\logs\ImportAgentTEPSBefore.log
	exit 3
)
echo License Key set for DE >>%CANDLE_HOME%\CNPS\logs\ImportAgentTEPSBefore.log

REM remove the temprary script file
del %CANDLE_HOME%\CNPS\tempscript.vbs

ren %CANDLE_HOME%\CNPS\SQLLIB\presfile.sql kfw_de_pres.sql
IF NOT ERRORLEVEL 0 (
	echo ERROR: failed to rename the de pres file >>%CANDLE_HOME%\CNPS\logs\ImportAgentTEPSBefore.log
	exit 4
)
echo DE pres file ready >>%CANDLE_HOME%\CNPS\logs\ImportAgentTEPSBefore.log

ren %CANDLE_HOME%\CNPS\SQLLIB\linksfile.sql kfw_de_links.sql
IF NOT ERRORLEVEL 0 (
	echo ERROR: failed to rename the de links file >>%CANDLE_HOME%\CNPS\logs\ImportAgentTEPSBefore.log
	exit 4
)
echo DE links file ready >>%CANDLE_HOME%\CNPS\logs\ImportAgentTEPSBefore.log

if NOT EXIST %CANDLE_HOME%\CNPS\SQLLIB\kfw_xe_pres.sql EXIT 0

ren %CANDLE_HOME%\CNPS\SQLLIB\kfw_xe_pres.sql oldpresfile.sql
IF NOT ERRORLEVEL 0 (
	echo ERROR: failed to rename the xe pres file >>%CANDLE_HOME%\CNPS\logs\ImportAgentTEPSBefore.log
	exit 5
)
echo XE pres file renamed >>%CANDLE_HOME%\CNPS\logs\ImportAgentTEPSBefore.log

if NOT EXIST %CANDLE_HOME%\CNPS\SQLLIB\kfw_xe_links.sql EXIT 0

ren %CANDLE_HOME%\CNPS\SQLLIB\kfw_xe_links.sql oldlinksfile.sql
IF NOT ERRORLEVEL 0 (
	echo ERROR: failed to rename the xe links file >>%CANDLE_HOME%\CNPS\logs\ImportAgentTEPSBefore.log
	exit 5
)
echo XE links file renamed >>%CANDLE_HOME%\CNPS\logs\ImportAgentTEPSBefore.log

exit 0

endlocal
